import 'package:diplomaticquarterapp/core/viewModels/pharmacyModule/LastVisitedViewModel.dart';
import 'package:diplomaticquarterapp/pages/base/base_view.dart';
import 'package:diplomaticquarterapp/uitl/translations_delegate_base.dart';
import 'package:diplomaticquarterapp/widgets/others/network_base_view.dart';
import 'package:flutter/material.dart';

import '../../../final_products_page.dart';
import '../ProductTileItem.dart';
import 'ViewAllHomeWidget.dart';

class RecentlyViewedWidget extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return BaseView<LastVisitedViewModel>(
        onModelReady: (model) => model.getLastVisitedProducts(),
        allowAny: true,
        builder: (_, model, wi) => NetworkBaseView(
          isLocalLoader: true,
          baseViewModel: model,
          child: Container(
            child: Column(
              children: [
                ViewAllHomeWidget(
                    TranslationBase.of(context).recentlyViewed,
                    FinalProductsPage(
                      id: "",
                      productType: 3,
                    )),
                Container(
                  height: model.lastVisitedProducts.length > 0
                      ? MediaQuery.of(context).size.height / 4 + 20
                      : 0,
                  child: ListView.builder(
                    itemBuilder: (ctx, i) =>
                        ProductTileItem(model.lastVisitedProducts[i]),
                    scrollDirection: Axis.horizontal,
                    itemCount: model.lastVisitedProducts.length,
                  ),
                ),
              ],
            ),
          ),
        ));
  }
}